%define anolis_release 1

%global pypi_name CommonMark
%global desc Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the\
CommonMark specification, using only native modules. Once both this project and\
the CommonMark specification are stable we will release the first 1.0 version\
and attempt to keep up to date with changes in stmd.js.\
\
We are currently at the same development stage (actually a bit ahead because we\
have implemented HTML entity conversion and href URL escaping) as stmd.js. Since\
Python versions pre-3.4 use outdated (i.e. not HTML5 spec) entity conversion,\
I’ve converted the 3.4 implementation into a single file, entitytrans.py which\
so far seems to work (all tests pass on 2.7, 3.3, and 3.4).

Name:           python-%{pypi_name}
Version:        0.9.1
Release:        %{anolis_release}%{?dist}
Summary:        Python parser for the CommonMark Markdown spec

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/60/48/a60f593447e8f0894ebb7f6e6c1f25dafc5e89c5879fdc9360ae93ff83f0/commonmark-0.9.1.tar.gz

Patch0:         0001-Rename-cmark-entrypoint.patch

BuildArch:      noarch

%description
%{desc}

%package utils
Summary:        Command-line tools built using %{name}

%description utils
%{desc}

This package contains the 'commonmark' command.


%package -n python3-%{pypi_name}-doc
Summary:        Documentation for python-%{pypi_name}
Requires:	python3-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
%{desc}
Documentation package.


%package -n     python3-%{pypi_name}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-future
BuildRequires:  python3-hypothesis
Requires:       python3-future
Suggests:       python-CommonMark-doc
Suggests:       %{name}-utils == %{version}-%{release}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{desc}


%prep
%autosetup -p1 -n commonmark-%{version}

# Fix non executable scripts
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/tests/run_spec_tests.py
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/cmark.py



%build
%py3_build


%install
%py3_install
%generate_compatibility_deps

%check
export PYTHONIOENCODING=UTF-8
PYTHONPATH=$(pwd) %{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/commonmark-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/commonmark/

%files utils
%{_bindir}/commonmark

%files -n python3-%{pypi_name}-doc
%doc README.rst spec.txt


%changelog
* Mon Mar 27 2023 happy_orange <songnannan@linux.alibaba.com> - 0.9.1-1
- init package from upstream
